from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XDatabaseRegistrationsListener(XEventListener, Protocol):
    def registeredDatabaseLocation(self, Event: DatabaseRegistrationEvent) -> None: ...
    def revokedDatabaseLocation(self, Event: DatabaseRegistrationEvent) -> None: ...
    def changedDatabaseLocation(self, Event: DatabaseRegistrationEvent) -> None: ...
